package com.red.circle.other.app.service.task;

import com.red.circle.common.business.dto.cmd.AppExtCommand;
import com.red.circle.other.app.dto.clientobject.task.DailyTaskStorageCO;
import com.red.circle.other.app.dto.cmd.task.DailyTasksEventCmd;
import java.util.List;

/**
 * 每日任务.
 *
 * @author pengliang on 2020/11/27
 */
public interface DailyTasksService {

  /**
   * 完成任务设置.
   */
  void completedTaskSetting(DailyTasksEventCmd cmd);

  List<DailyTaskStorageCO> listCompletedTask(AppExtCommand cmd);

  void receiveTaskRewards(DailyTasksEventCmd cmd);
}
